Create invite

Create a new invite for the workspace.

You can create:

  • Email-based invites (send to a specific email)
  • Invite links (with optional restrictions and usage limits)

Use cases:

  • Inviting new members to the workspace
  • Generating invite links for onboarding
  • Automating team invitations
POST
/api/v1/workspaces/invites
AuthorizationBearer <token>

The API will use the Authorization: Bearer <your-key> header for requests.

In: header

Request Body

application/json

role*string
Value in"member" | "admin"
email*string
Match^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
[key: string]?never

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.excalidraw.com/api/v1/workspaces/invites" \  -H "Content-Type: application/json" \  -d '{    "role": "member",    "email": "user@example.com"  }'
{
  "id": null,
  "created": "string",
  "type": "link",
  "status": "pending",
  "email": "string",
  "role": "member",
  "resolvedAt": "string",
  "redeemedBy": "string",
  "maxUses": 9007199254740991,
  "uses": 0,
  "restrictedDomains": [
    "string"
  ]
}
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "string"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "string"
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "string"
}